//
// File:        AudioSender.java
// Author:      Tomasz Stachowiak
// e-mail:      <stach@>
// Created:     Tue Jan 14 1997
// Time-stamp: <97/01/29 19:00:56 stach>
// Copyright Tomasz Stachowiak 1997 NPAC, Syracuse University

// Description: Audio sender application, version sending audio to the server, 
//              that dispatch it. It was supposed to be an applet invoked with //              the AudioLive applet as a conferencing tool, but so far it uses//              native method for capturing, thus it cannot be an applet. Maybe//              it will be done together with Netscape plugin. 


import java.awt.*;

public class AudioSender extends Frame {
  static int START = 1;
  static int STOP = 2;

  AudioCapture capture;
  Thread captureThread;
  NetProcs net;

  int state;

  public AudioSender() {
    setTitle("Audio Sender");
    Panel p = new Panel();
    p.setLayout(new FlowLayout());
    p.add(new Button("Start"));
    p.add(new Button("Stop"));
    
    add("North", p);

    state = STOP;

    initAudio();
  }

  private void initAudio() {
    net = new NetProcs();
    capture = new AudioCapture(net, 1600);
  }

  public boolean handleEvent(Event evt) {
    if(evt.id == Event.WINDOW_DESTROY) System.exit(0);
    return super.handleEvent(evt);
  }

  public boolean action(Event evt, Object arg) {
    if (arg.equals("Start")) {
      captureStart();
    } else if (arg.equals("Stop")) {
      captureStop();
    } else return false;

    return true;
  }

  private void captureStart() {
    if(state == STOP) {
      captureThread = new Thread(capture);
      captureThread.start();
      state = START;
    }
  }

  private void captureStop() {
    if(state == START) {
      captureThread.stop();
      state = STOP;
    }
  }

  public static void main(String argv[]) {
    Frame f = new AudioSender();
    f.resize(100, 70);
    f.show();
  }
}







